Get all virtual accounts for a smart account
curl --request GET \
--url https://grid.squads.xyz/api/grid/v1/accounts/{address}/virtual-accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://grid.squads.xyz/api/grid/v1/accounts/{address}/virtual-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://grid.squads.xyz/api/grid/v1/accounts/{address}/virtual-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
virtual-accounts
Get all virtual accounts for a smart account
Retrieve all virtual accounts associated with a smart account with optional currency filtering
GET
/
api
/
grid
/
v1
/
accounts
/
{address}
/
virtual-accounts
Get all virtual accounts for a smart account
Authorizations
Your Grid API key from the Grid Dashboard
Path Parameters
Smart account address
Query Parameters
Filter by source currency
Filter by destination currency
Response
Virtual accounts retrieved successfully
Was this page helpful?
⌘I